Skip to main content
POST
/
api
/
getcompany
curl -X POST https://api.hellotracks.com/api/getcompany \
  --header 'API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  -d '{
    "data": {}
  }'
{
  "status": 123,
  "company": {},
  "company.teams_config": [
    {}
  ],
  "company.teams_config[].id": 123,
  "company.teams_config[].name": "<string>",
  "company.teams_config[].working_hours": {},
  "company.teams_config[].route": {}
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.hellotracks.com/llms.txt

Use this file to discover all available pages before exploring further.

Use this endpoint to retrieve the company account and organization-level configuration for the authenticated API key. This includes the team configuration used to map member team IDs to team names.

REQUEST

POST https://api.hellotracks.com/api/getcompany

{
  "data": {}
}
This endpoint does not require request parameters.

RESPONSE

{
  "status": 0,
  "company": {
    "uid": "company123",
    "username": "company@example.com",
    "type": "company",
    "name": "Example Company",
    "email": "ops@example.com",
    "phone": "+14155551234",
    "address": "1 Market St, San Francisco, CA",
    "teams_config": [
      {
        "id": 1,
        "name": "North Team",
        "working_hours": {
          "monday": { "start": 480, "end": 1020 },
          "tuesday": { "start": 480, "end": 1020 },
          "source": "team"
        }
      },
      {
        "id": 2,
        "name": "South Team",
        "working_hours": {
          "source": "default"
        }
      }
    ]
  }
}
status
integer
required
Status code. 0 indicates success.
company
object
required
Company account object with profile, location, settings, custom field definitions, and team configuration.
company.teams_config
array
Array of team configuration objects for the organization. Use this list to map team IDs returned by member, place, and job APIs to team names.
company.teams_config[].id
integer
Team ID. This matches the numeric IDs returned in member teams arrays.
company.teams_config[].name
string
Team display name.
company.teams_config[].working_hours
object
Team working hours configuration, when configured.
company.teams_config[].route
object
Optional team route start configuration, when configured.

Team ID Lookup

The Get Members endpoint returns each member’s team assignments as numeric IDs:
{
  "uid": "abc123",
  "name": "John Doe",
  "teams": [1, 2]
}
To show team names, match each value in teams against company.teams_config[].id from this endpoint.
{
  "teams_config": [
    { "id": 1, "name": "North Team" },
    { "id": 2, "name": "South Team" }
  ]
}
In this example, member abc123 belongs to “North Team” and “South Team”.
curl -X POST https://api.hellotracks.com/api/getcompany \
  --header 'API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  -d '{
    "data": {}
  }'
  • Get Members - Retrieve member information and member team IDs
  • Edit Member - Update member profile and team assignments
  • Get Places - Retrieve places and place team IDs